PROMETHEUS-POSTGRES-EXPORTER(1)

NAME
prometheus-postgres-exporter - Prometheus exporter for PostgreSQL

SYNOPSIS

prometheus-postgres-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--collector.database
    Enable the database collector (default: enabled).

--collector.database_wraparound
    Enable the database_wraparound collector (default: disabled).

--collector.locks
    Enable the locks collector (default: enabled).

--collector.long_running_transactions
    Enable the long_running_transactions collector (default: disabled).

--collector.postmaster
    Enable the postmaster collector (default: disabled).

--collector.process_idle
    Enable the process_idle collector (default: disabled).

--collector.replication
    Enable the replication collector (default: enabled).

--collector.replication_slot
    Enable the replication_slot collector (default: enabled).

--collector.roles
    Enable the roles collector (default: enabled).

--collector.stat_activity_autovacuum
    Enable the stat_activity_autovacuum collector (default: disabled).

--collector.stat_bgwriter
    Enable the stat_bgwriter collector (default: enabled).

--collector.stat_checkpointer
    Enable the stat_checkpointer collector (default: disabled).

--collector.stat_database
    Enable the stat_database collector (default: enabled).

--collector.stat_statements
    Enable the stat_statements collector (default: disabled).

--collector.stat_user_tables
    Enable the stat_user_tables collector (default: enabled).

--collector.stat_wal_receiver
    Enable the stat_wal_receiver collector (default: disabled).

--collector.statio_user_indexes
    Enable the statio_user_indexes collector (default: disabled).

--collector.statio_user_tables
    Enable the statio_user_tables collector (default: enabled).

--collector.wal
    Enable the wal collector (default: enabled).

--collector.xlog_location
    Enable the xlog_location collector (default: disabled).

--config.file
    Postgres exporter configuration file.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9187
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--web.telemetry-path
    Path under which to expose metrics.

--disable-default-metrics
    Do not include default metrics.

--disable-settings-metrics
    Do not include pg_settings metrics.

--auto-discover-databases
    Whether to discover the databases on a server dynamically. (DEPRECATED)

--extend.query-path
    Path to custom queries to run. (DEPRECATED)

--dumpmaps
    Do not run, simply dump the maps.

--constantLabels
    A list of label=value separated by comma(,). (DEPRECATED)

--exclude-databases
    A list of databases to remove when autoDiscoverDatabases is enabled (DEPRECATED)

--include-databases
    A list of databases to include when autoDiscoverDatabases is enabled (DEPRECATED)

--metric-prefix
    A metric prefix can be used to have non-default (not "pg") prefixes for each of the metrics

--version
    Show application version.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]